Get Project Dependency Count
curl --request GET \
--url https://prod-api.raisedonors.com/api/Project/{projectId}/dependency-count \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://prod-api.raisedonors.com/api/Project/{projectId}/dependency-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-api.raisedonors.com/api/Project/{projectId}/dependency-count"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://prod-api.raisedonors.com/api/Project/{projectId}/dependency-count");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://prod-api.raisedonors.com/api/Project/{projectId}/dependency-count';
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"recurringGiftCount": 82,
"legacyPageCount": 0,
"defaultPageCount": 2,
"pageCount": 6
}{
"type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"errors": {
"take": [
"take must be between 1 and 1000."
]
},
"instance": "/api/Project/3010/dependency-count"
}{
"type": "https://tools.ietf.org/html/rfc7235#section-3.1",
"title": "Unauthorized",
"status": 401,
"detail": "The Authorization header is missing, malformed, or carries a token that is expired or revoked.",
"instance": "/api/Project/{projectId}/dependency-count"
}Project
Get Project Dependency Count
Returns what still points at the project: recurringGiftCount, pageCount, defaultPageCount, and legacyPageCount.
GET
https://prod-api.raisedonors.com
/
api
/
Project
/
{projectId}
/
dependency-count
Get Project Dependency Count
Use it before Delete a Project or Replace a Project.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The ID of the project.
Response
OK
Represents a project dependency model.
The number of recurring gifts designated to the project.
The number of legacy pages that use the project.
The number of pages that use the project as their default designation.
The number of pages that use the project.
Last modified on July 28, 2026
Was this page helpful?
⌘I